Name:          plantuml
Version:       1.2022.12
Release:       1mamba
Summary:       Generate diagrams from textual description
Group:         Graphical Desktop/Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://plantuml.com/
Source:        https://github.com/plantuml/plantuml/releases/download/v%{version}/plantuml-%{version}.jar
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
Requires:      java-runtime

%description
Generate diagrams from textual description.

%prep

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0644 %{SOURCE0} %{buildroot}%{_javadir}/plantuml-%{version}.jar

ln -sf plantuml-%{version}.jar %{buildroot}%{_javadir}/plantuml.jar

install -d -m0755 %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/plantuml << __EOF
#!/bin/sh
exec %{_bindir}/java -jar '%{_javadir}/plantuml.jar' "\$@"
__EOF
chmod +x %{buildroot}%{_bindir}/plantuml

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/plantuml
%{_javadir}/plantuml-%{version}.jar
%{_javadir}/plantuml.jar

%changelog
* Tue Oct 25 2022 Automatic Build System <autodist@mambasoft.it> 1.2022.12-1mamba
- automatic version update by autodist

* Mon Oct 24 2022 Automatic Build System <autodist@mambasoft.it> 1.2022.11-1mamba
- automatic version update by autodist

* Mon Oct 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2022.10-1mamba
- package created using the webbuild interface
